#include "bsp_3_lib_bench.h"
#include <iostream>

using namespace std;

int main()
{
    benchmark_A(25*1e7,25);
    benchmark_A_kahan(25*1e7,25);
    benchmark_A_norm(25*1e7,25);
    benchmark_B(8000,8000,75);
    benchmark_B_column(8000,8000,75);
    benchmark_C(1000,1000,1000,3);
    benchmark_D(1e4,1e5,5);

    return 0;
}
